L'option cible est désactivée dans la fenêtre Eclipse-> Préférence-> Android

Pourquoi mon option cible dans eclipse est-elle désactivée? Je ne peux pas sélectionner la plate-forme cible. D'autre part, le dossier de plate-forme et les ajouts sont vides. Toutes les idées?

  • Changer l'icône du tiroir arrière à la flèche arrière
  • Comment centrer le bouton arrière de la barre d'outils?
  • Quelle saveur produit Android Studio crée-t-il par défaut dans build.gradle?
  • EditText d'Android est masqué lorsque le clavier virtuel est affiché et qu'un SurfaceView est impliqué
  • Voir à l'intérieur ScrollView ne prend pas tout son possible
  • Les périphériques pris en charge sont extrêmement faibles
  • Android Webview, zoom arrière initial
  • Runnable est affiché avec succès, mais ne fonctionne pas
  • Sélectionnez une valeur distincte dans sqlite Android
  • Titre de la barre d'action avec plus d'une ligne?
  • Comment déterminer le code C est compilé pour Android / NDK ou iOS
  • Erreur de téléchargement de l'application PhoneGap Developer
  • 4 Solutions collect form web for “L'option cible est désactivée dans la fenêtre Eclipse-> Préférence-> Android”

    Je suppose que vous devez installer les plates-formes requises.

    Eclipse > Window > Android SDK and AVD Manager > Available Packages .... 

    Après avoir installé votre SDK, vous devez télécharger toutes les plates-formes dont vous avez besoin (comme Android 1.5, Google API, etc.)

    Ensuite, vous devriez créer des périphériques virtuels avec certains paramètres (comme la taille de l'écran, la carte SD …). Ensuite, vous devez exécuter l'application sur la plate-forme que vous aimez.

    J'ai rencontré le même problème. L'archive Android SDK n'est pas remplie d'une plate-forme Android spécifique ou d'un complément Google. Nous pouvons utiliser SDK Manager pour installer ou mettre à jour des composants SDK tels que les plates-formes, les outils, les modules complémentaires et la documentation. J'ai utilisé le chemin d'option d'outil d'éclipse fourni par la première réponse. Il existe également un fichier "SDK Manager.exe" qui peut être utilisé pour télécharger hors d'eclipse.

    Vous devez installer l'API complète sur laquelle vous travaillez.

    Supposons, dans mon cas, je travaille sur Android 5.0 SDK Tools et I Froyo 2.2 pour un support minimum de SDK Verison. Maintenant, j'ai 2 outils SDK installés, Android 5.0 et Android 2.2.

    Pour les faire supporter en tant que Target SDK, je dois installer le package complet depuis le SDK Manager d'Android. Entrez la description de l'image ici

    Dans votre cas, installez le paquet complet de l'API que vous utilisez. Après l'installation, redémarrez eclipse et votre option cible sera activée.

    coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.